package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class DeviceViewDto {

    private static final long serialVersionUID = 1L;

    /** 总数 */
    @Excel(name = "总数")
    private Integer deviceCount;

    /** 在线 */
    @Excel(name = "在线")
    private Integer deviceOnline;

    /** 离线 */
    @Excel(name = "离线")
    private Integer un_deviceOnline;

    /** 告警数 */
    @Excel(name = "告警数")
    private Integer alarmCount;

    public Integer getDeviceCount() {
        return deviceCount;
    }

    public void setDeviceCount(Integer deviceCount) {
        this.deviceCount = deviceCount;
    }

    public Integer getDeviceOnline() {
        return deviceOnline;
    }

    public void setDeviceOnline(Integer deviceOnline) {
        this.deviceOnline = deviceOnline;
    }

    public Integer getUn_deviceOnline() {
        return un_deviceOnline;
    }

    public void setUn_deviceOnline(Integer un_deviceOnline) {
        this.un_deviceOnline = un_deviceOnline;
    }

    public Integer getAlarmCount() {
        return alarmCount;
    }

    public void setAlarmCount(Integer alarmCount) {
        this.alarmCount = alarmCount;
    }
}
